HALT(8)

NAZWA
halt, poweroff, reboot - zatrzymuje, wyłącza lub przeładowuje komputer

SKŁADNIA

halt [OPCJE...]

poweroff [OPCJE...]

reboot [OPCJE...]

OPIS

halt, poweroff, reboot służy do zatrzymania, wyłączenia lub przeładowania komputera. Wszystkie trzy polecenia przyjmują te same opcje.

OPCJE

Obsługiwane są następujące opcje:

--help
    Wyświetla krótki komunikat pomocy i wychodzi.

--halt
    Zatrzymuje komputer, niezależnie od tego, którego z trzech poleceń użyto.

-p, --poweroff
    Wyłącza komputer, niezależnie od tego, którego z trzech poleceń użyto.

--reboot
    Przeładowuje komputer, niezależnie od tego, którego z trzech poleceń użyto.

-f, --force
    Wymusza natychmiastowe zatrzymanie, wyłączenie lub przeładowanie. Przy jednokrotnym użyciu opcji, menedżer systemu dokona natychmiastowego, ale bezpiecznego wyłączenia. . Dwukrotne podanie opcji spowoduje natychmiastowe zamknięcie bez użycia menedżera systemu. . Więcej szczegółów znajduje się w opisie opcji --force podręcznika systemowego systemctl(1).

-w, --wtmp-only
    Dokonuje jedynie wpisu wtmp , bez rzeczywistego zatrzymania, wyłączenia lub przeładowania.

-d, --no-wtmp
    Nie dokonuje wpisu wtmp.

-n, --no-sync
    Nie wykonuje synchronizacji twardych dysków/nośników danych przed zatrzymaniem, wyłączeniem lub przeładowaniem.

--no-wall
    Nie wysyła komunikatu wall przed zatrzymaniem, wyłączeniem lub przeładowaniem.

KOD ZAKOŃCZENIA

W przypadku powodzenia zwracane jest 0, w razie błędu kod jest niezerowy.

UWAGI

Polecenia zaimplementowano w sposób zapewniający podstawową kompatybilność z pierwotnymi poleceniami z SysV. Argumenty halt, poweroff, reboot narzędzia systemctl(1) obsługują te same funkcje oraz kilka dodatkowych.

Proszę zauważyć, że na wielu systemach SysV polecenie halt było synonimem poweroff, tzn. oba polecenia powodowały wyłączenie komputera. W systemd jest to dokładniejsze, halt powoduje zatrzymanie komputera (z pozostawieniem włączonego zasilania), a do wyłączenia komputera należy użyć poweroff.

ZOBACZ TAKŻE

systemd(1), systemctl(1), shutdown(8), wall(1)

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Michał Kułach <michal.kulach@gmail.com> Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI. Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres manpages-pl-list@lists.sourceforge.net.